Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab.toolbox
Class AbstractTemplateSlotNumberValidator

    java.lang.Object
      edu.stanford.smi.protegex.queries_tab.toolbox.AbstractTemplateSlotNumberValidator

All Implemented Interfaces:
  NumberValidator, Validator

Direct Known Subclasses:
  FloatTemplateSlotValidator, IntegerTemplateSlotValidator

    public abstract class AbstractTemplateSlotNumberValidator

extends Object
implements NumberValidator

Description of the class

Author:
  Bill Grosso

Field Summary
`static int` | `FORMAT_ERROR`
`static int` | `NUMBER_OUT_OF_BOUNDS`
`static int` | `VALID_NUMBER`

Constructor Summary
`AbstractTemplateSlotNumberValidator(Cls cls, Slot slot)`

Method Summary
`abstract String` | `getErrorMessage()`
`String` | `getErrorMessage(Object o)`
`boolean` | `isValid(Object o)`
`String` | `validateString(String stringToCheck)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.util.NumberValidator
`convertToNumber`

Field Detail

### VALID_NUMBER

    public static final int VALID_NUMBER

See Also:
  Constant Field Values

### NUMBER_OUT_OF_BOUNDS

    public static final int NUMBER_OUT_OF_BOUNDS

See Also:
  Constant Field Values

### FORMAT_ERROR

    public static final int FORMAT_ERROR

See Also:
  Constant Field Values

Constructor Detail

### AbstractTemplateSlotNumberValidator

    public AbstractTemplateSlotNumberValidator(Cls cls,
                                               Slot slot)

Method Detail

### isValid

    public boolean isValid(Object o)

  Specified by:
    `isValid` in interface `Validator`

### validateString

    public String validateString(String stringToCheck)

### getErrorMessage

    public String getErrorMessage(Object o)

  Specified by:
    `getErrorMessage` in interface `Validator`

### getErrorMessage

    public abstract String getErrorMessage()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request